Get Domain
curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/taxonomy/domains/{domain_external_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/taxonomy/domains/{domain_external_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/taxonomy/domains/{domain_external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"domain_name": "IT & Engineering",
"last_updated": "2021-01-21T17:32:28Z"
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Domains
Get Domain
Get Domain information stored in the system.
Get Domain
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique Domain ID in your system, consisting of alphanumeric characters, hyphens and underscores.
Query Parameters
Additional Domain attributes that will be included in the response body. This query parameter can be added multiple times to include more attributes.
Available options:
custom_properties Response
OK
Default structure for Domain.
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
Required string length:
1 - 100Pattern:
[a-zA-Z0-9_-]+Example:
"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Name of the Domain.
Required string length:
1 - 255Example:
"IT & Engineering"
Timestamp of the last update to this entity.
Example:
"2021-01-21T17:32:28Z"
Was this page helpful?